libzypp: zypp::media::ProxyInfo::Impl Struct Reference

libzypp 17.38.6

zypp::media::ProxyInfo::Impl Struct Referenceabstract

`#include <zypp-curl/proxyinfo/proxyinfoimpl.h>`

Inheritance diagram for zypp::media::ProxyInfo::Impl:

## Public Member Functions
| Impl ()
| Ctor.
virtual | ~Impl ()
| Dtor.
virtual bool | enabled () const =0
virtual std::string | proxy (const Url &url_r) const =0
virtual ProxyInfo::NoProxyList | noProxy () const =0
virtual ProxyInfo::NoProxyIterator | noProxyBegin () const =0
virtual ProxyInfo::NoProxyIterator | noProxyEnd () const =0
bool | useProxyFor (const Url &url_r) const
| Return `true` if enabled and url_r does not match noProxy.

## Static Public Attributes
static shared_ptr< Impl > | _nullimpl
| Default Impl: empty sets.

## Detailed Description

Definition at line 25 of file proxyinfoimpl.h.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::media::ProxyInfo::Impl::Impl | ( |  | ) |
| inline

Ctor.

Definition at line 28 of file proxyinfoimpl.h.

## ◆ ~Impl()

virtual zypp::media::ProxyInfo::Impl::~Impl | ( |  | ) |
| inlinevirtual

Dtor.

Definition at line 32 of file proxyinfoimpl.h.

## Member Function Documentation

## ◆ enabled()

virtual bool zypp::media::ProxyInfo::Impl::enabled | ( |  | ) | const
| pure virtual

Implemented in zypp::media::ProxyInfoLibproxy, and zypp::media::ProxyInfoSysconfig.

## ◆ proxy()

virtual std::string zypp::media::ProxyInfo::Impl::proxy | ( | const Url & | url_r | ) | const
| pure virtual

Implemented in zypp::media::ProxyInfoLibproxy, and zypp::media::ProxyInfoSysconfig.

## ◆ noProxy()

virtual ProxyInfo::NoProxyList zypp::media::ProxyInfo::Impl::noProxy | ( |  | ) | const
| pure virtual

Implemented in zypp::media::ProxyInfoLibproxy, and zypp::media::ProxyInfoSysconfig.

## ◆ noProxyBegin()

virtual ProxyInfo::NoProxyIterator zypp::media::ProxyInfo::Impl::noProxyBegin | ( |  | ) | const
| pure virtual

Implemented in zypp::media::ProxyInfoLibproxy, and zypp::media::ProxyInfoSysconfig.

## ◆ noProxyEnd()

virtual ProxyInfo::NoProxyIterator zypp::media::ProxyInfo::Impl::noProxyEnd | ( |  | ) | const
| pure virtual

Implemented in zypp::media::ProxyInfoLibproxy, and zypp::media::ProxyInfoSysconfig.

## ◆ useProxyFor()

bool zypp::media::ProxyInfo::Impl::useProxyFor | ( | const Url & | url_r | ) | const
| inline

Return `true` if enabled and url_r does not match noProxy.

Definition at line 48 of file proxyinfoimpl.h.

## Member Data Documentation

## ◆ _nullimpl

shared_ptr< ProxyInfo::Impl > zypp::media::ProxyInfo::Impl::_nullimpl
| static

Default Impl: empty sets.

Definition at line 75 of file proxyinfoimpl.h.

The documentation for this struct was generated from the following files:

- zypp-curl/proxyinfo/proxyinfoimpl.h
- zypp-curl/proxyinfo.cc